コンテンツにスキップ
ShopentlyLearn

支払いステータスの変更

銀行振込の確認後などに、記録された支払いステータスを変更します。新しいステータス、現在の支払いバージョン、変更理由を送信してください。

PATCH/api/v1/orders/{order_id}/payment-status

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/orders/order-0000/payment-status \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-adjust_payment_status_api_v1_orders__order_id__payment_status_patch' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":0,"reason":"Bank transfer confirmed","status":"paid"}'

レスポンス

{
  "data": {
    "deleted": false,
    "id": "payment-0000",
    "version": 2
  },
  "meta": {
    "request_id": "example"
  }
}

必要な権限

利用可能な最低プラン
BASIC
キーの権限
支払いステータスを調整するpayments.payment:adjust_status